# SubDataServer.Encryption (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Network

## Enum SubDataServer.Encryption

- java.lang.Object
- - java.lang.Enum<SubDataServer.Encryption>
  - - net.ME1312.SubServers.Bungee.Network.SubDataServer.Encryption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SubDataServer.Encryption>

Enclosing class:
  SubDataServer

    public static enum SubDataServer.Encryption
    extends java.lang.Enum<SubDataServer.Encryption>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AES`
`AES_128`
`AES_192`
`AES_256`
`NONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static SubDataServer.Encryption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SubDataServer.Encryption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final SubDataServer.Encryption NONE

#### AES

    public static final SubDataServer.Encryption AES

#### AES_128

    public static final SubDataServer.Encryption AES_128

#### AES_192

    public static final SubDataServer.Encryption AES_192

#### AES_256

    public static final SubDataServer.Encryption AES_256

### Method Detail

#### values

    public static SubDataServer.Encryption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SubDataServer.Encryption c : SubDataServer.Encryption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SubDataServer.Encryption valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null